<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="jp.co.y_net.amm.dao.Org" table="org" dynamic-insert="true">
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <!-- <generator class="sequence"><param name="sequence">org_id_seq</param></generator> -->
            <generator class="identity" />
        </id>
        <property name="updatedate" type="long"><column name="updatedate"></column></property>
        <property name="updateusrid" type="java.lang.Integer"><column name="updateusrid"></column></property>
        <property name="deleted" type="java.lang.Integer"><column name="deleted"></column></property>
        
        <property name="orgid" type="java.lang.Integer"><column name="orgid"></column></property>
        
        <property name="kind" type="java.lang.Integer"><column name="kind"></column></property>
        <property name="name" type="string"><column name="name"></column></property>
        <property name="adminname" type="string"><column name="adminname"></column></property>
        <property name="adminnamekana" type="string"><column name="adminnamekana"></column></property>
        <property name="postnum" type="string"><column name="postnum"></column></property>
        <property name="address" type="string"><column name="address"></column></property>
        <property name="telnum" type="string"><column name="telnum"></column></property>
        <property name="mail" type="string"><column name="mail"></column></property>
        <property name="fromdate" type="java.lang.Integer"><column name="fromdate"></column></property>
        <property name="todate" type="java.lang.Integer"><column name="todate"></column></property>
        <property name="limitnum" type="java.lang.Integer"><column name="limitnum"></column></property>
        <property name="entrydate" type="long"><column name="entrydate"></column></property>
        <property name="approvaldate" type="long"><column name="approvaldate"></column></property>
        <property name="rejectdate" type="long"><column name="rejectdate"></column></property>
        <property name="note" type="string"><column name="note"></column></property>
        <property name="joindate" type="long"><column name="joindate"></column></property>
        <property name="status" type="java.lang.Integer"><column name="status"></column></property>
        
        <!-- 
        <property name="xxxxx" type="java.lang.Integer"><column name="xxxxx"></column></property>
        <property name="xxxxx" type="string"><column name="xxxxx"></column></property>
        <property name="xxxxx" type="long"><column name="xxxxx"></column></property>
         -->
    </class>
</hibernate-mapping>

